org.eclipse.microprofile.metrics.test.optional

## Class MpMetricsArithmeticExceptionMapper

- java.lang.Object
- - org.eclipse.microprofile.metrics.test.optional.MpMetricsArithmeticExceptionMapper

All Implemented Interfaces:
  jakarta.ws.rs.ext.ExceptionMapper<ArithmeticException>

    @Provider
    public class MpMetricsArithmeticExceptionMapper
    extends Object
    implements jakarta.ws.rs.ext.ExceptionMapper<ArithmeticException>

### Constructor Summary

Constructors
Constructor and Description
`MpMetricsArithmeticExceptionMapper()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `toResponse(ArithmeticException ex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MpMetricsArithmeticExceptionMapper

    public MpMetricsArithmeticExceptionMapper()

### Method Detail

#### toResponse

    public jakarta.ws.rs.core.Response toResponse(ArithmeticException ex)

Specified by:
  `toResponse` in interface `jakarta.ws.rs.ext.ExceptionMapper<ArithmeticException>`